<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HPBFDumper (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HPBFDumper (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HPBFDumper.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/hpbf/dev/PLCDumper.html"
               title="class in org.apache.poi.hpbf.dev"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hpbf/dev/HPBFDumper.html" target="_top">Frames</a></li>
        <li><a href="HPBFDumper.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hpbf.dev</div>
    <h2 title="Class HPBFDumper" class="title">Class HPBFDumper</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hpbf.dev.HPBFDumper</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HPBFDumper</span>
extends java.lang.Object</pre>
                <div class="block">For dumping out the contents of HPBF (Publisher)
                    files, while we try to figure out how they're
                    constructed.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpbf/dev/HPBFDumper.html#HPBFDumper-java.io.InputStream-">HPBFDumper</a></span>(java.io.InputStream&nbsp;inp)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpbf/dev/HPBFDumper.html#HPBFDumper-org.apache.poi.poifs.filesystem.POIFSFileSystem-">HPBFDumper</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpbf/dev/HPBFDumper.html#dump001CompObj-org.apache.poi.poifs.filesystem.DirectoryNode-">dump001CompObj</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpbf/dev/HPBFDumper.html#dumpContents--">dumpContents</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpbf/dev/HPBFDumper.html#dumpCONTENTSguessed-org.apache.poi.poifs.filesystem.DirectoryNode-">dumpCONTENTSguessed</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpbf/dev/HPBFDumper.html#dumpCONTENTSraw-org.apache.poi.poifs.filesystem.DirectoryNode-">dumpCONTENTSraw</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpbf/dev/HPBFDumper.html#dumpEnvelope--">dumpEnvelope</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpbf/dev/HPBFDumper.html#dumpEscher--">dumpEscher</a></span>()</code>
                                    <div class="block">Dump out the escher parts of the file.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpbf/dev/HPBFDumper.html#dumpEscherDelayStm-org.apache.poi.poifs.filesystem.DirectoryNode-">dumpEscherDelayStm</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;escherDir)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpbf/dev/HPBFDumper.html#dumpEscherStm-org.apache.poi.poifs.filesystem.DirectoryNode-">dumpEscherStm</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;escherDir)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpbf/dev/HPBFDumper.html#dumpQuill--">dumpQuill</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpbf/dev/HPBFDumper.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HPBFDumper-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HPBFDumper</h4>
                                <pre>public&nbsp;HPBFDumper(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</pre>
                            </li>
                        </ul>
                        <a name="HPBFDumper-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HPBFDumper</h4>
                                <pre>public&nbsp;HPBFDumper(java.io.InputStream&nbsp;inp)
           throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="main-java.lang.String:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>main</h4>
                                <pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)
                 throws java.lang.Exception</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.Exception</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="dumpEscher--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dumpEscher</h4>
                                <pre>public&nbsp;void&nbsp;dumpEscher()
                throws java.io.IOException</pre>
                                <div class="block">Dump out the escher parts of the file.
                                    Escher -> EscherStm and EscherDelayStm
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="dumpEscherStm-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dumpEscherStm</h4>
                                <pre>protected&nbsp;void&nbsp;dumpEscherStm(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;escherDir)
                      throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="dumpEscherDelayStm-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dumpEscherDelayStm</h4>
                                <pre>protected&nbsp;void&nbsp;dumpEscherDelayStm(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;escherDir)
                           throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="dumpEnvelope--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dumpEnvelope</h4>
                                <pre>public&nbsp;void&nbsp;dumpEnvelope()
                  throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="dumpContents--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dumpContents</h4>
                                <pre>public&nbsp;void&nbsp;dumpContents()
                  throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="dumpCONTENTSraw-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dumpCONTENTSraw</h4>
                                <pre>public&nbsp;void&nbsp;dumpCONTENTSraw(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)
                     throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="dumpCONTENTSguessed-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dumpCONTENTSguessed</h4>
                                <pre>public&nbsp;void&nbsp;dumpCONTENTSguessed(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)
                         throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="dump001CompObj-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dump001CompObj</h4>
                                <pre>protected&nbsp;void&nbsp;dump001CompObj(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)</pre>
                            </li>
                        </ul>
                        <a name="dumpQuill--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>dumpQuill</h4>
                                <pre>public&nbsp;void&nbsp;dumpQuill()
               throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HPBFDumper.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/hpbf/dev/PLCDumper.html"
               title="class in org.apache.poi.hpbf.dev"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hpbf/dev/HPBFDumper.html" target="_top">Frames</a></li>
        <li><a href="HPBFDumper.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
